# Example Server with mCaptcha protection

The example server shows a dummy form with the mCaptcha widget. When the
form is submitted, it validates the [authorization
token](https://mcaptcha.org/docs/webmasters/terminology#authorization-token)
presented by the visitor against the mCaptcha instance that the server
is configured with.

The example server is built with Express (JavaScript) webframework and
uses the [JavaScript API library for
mCaptcha](https://www.npmjs.com/package/@mcaptcha/mcaptcha-api-js) for
validation.

## 1. Configuration

Before running, please configure the server:

```bash
cp .env_sample .env
```

And fill in the configuration parameters in `.env` file with:

1. [Sitekey](https://mcaptcha.org/docs/webmasters/terminology#sitekey)
2. Account secret: Available in the settings page on the mCaptcha
   dashboard
3. Instance URL

## 2. Install dependencies

Tested with Node v20.

```bash
npm install
```

## 3. Launch server

```bash
node src/index.js
```

If all configuration parameters are properly filled in, the example server must
work.
